<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');

$sli_nombre=$_POST['sli_nombre'];
$sli_url=$_POST['sli_url'];
$sli_ubicacion=$_POST['sli_ubicacion'];

$can=mysqli_query($con,"SELECT MAX(sli_id) as sli_id FROM slider") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can); 
$sli_id=$dato['sli_id']+1;


if ($sli_ubicacion=='slider') {
   

$can1=mysqli_query($con,"SELECT count(*) as sli_ubicacion FROM slider where sli_ubicacion='$sli_ubicacion'") or die(mysqli_error($con)); 
$dato1=mysqli_fetch_array($can1);
$cont_slider=$dato1['sli_ubicacion'];

if ($cont_slider==3) {
 echo'<script type="text/javascript">alert("No puedes ingresar mas de 3 slider");</script>';
} 
else {

$sql1=mysqli_query($con,"INSERT INTO slider (sli_id,sli_nombre,sli_url,sli_ubicacion,empresa) 
    VALUES ('$sli_id','$sli_nombre','$sli_url','$sli_ubicacion','$empresa')") or die(mysqli_error($con));

        $nameimagen = $_FILES['imagen']['name'];
        $tmpimagen = $_FILES['imagen']['tmp_name'];
        $extimagen = pathinfo($nameimagen);
        $ext = array("","jpg","jpeg","png","jfif","gif","tif","tiff");
        $urlnueva = "../shop/img/slider/".$sli_id.".jpg";
        if(is_uploaded_file($tmpimagen))
        {
           if(array_search($extimagen['extension'],$ext))
            {
                copy($tmpimagen, $urlnueva);
            }
            else 
            {
               echo '<div class="alert alert-danger alert-dismissable">
                      <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                      <strong>La imagen no se guardo! </strong> Solo se permiten imágenes con formato  jpg.
                    </div>';
            }
        } ?>
          <script type="text/javascript"> document.getElementById("form_online").reset();</script>   
   <?php }
}

if ($sli_ubicacion=='imagen izquierda') {

$can2=mysqli_query($con,"SELECT * FROM slider where sli_ubicacion='$sli_ubicacion'") or die(mysqli_error($con)); 
$dato2=mysqli_fetch_array($can2);
$ubicacion=$dato2['sli_ubicacion'];

if ($ubicacion=='imagen izquierda') {
 echo'<script type="text/javascript">alert("No puedes ingresar mas de 1 imagen izquierda");</script>';
} 
else {

$sql2=mysqli_query($con,"INSERT INTO slider (sli_id,sli_nombre,sli_url,sli_ubicacion,empresa) 
    VALUES ('$sli_id','$sli_nombre','$sli_url','$sli_ubicacion','$empresa')") or die(mysqli_error($con));

        $nameimagen = $_FILES['imagen']['name'];
        $tmpimagen = $_FILES['imagen']['tmp_name'];
        $extimagen = pathinfo($nameimagen);
        $ext = array("","jpg","jpeg","png","jfif","gif","tif","tiff");
        $urlnueva = "../shop/img/slider/".$sli_id.".jpg";
        if(is_uploaded_file($tmpimagen))
        {
           if(array_search($extimagen['extension'],$ext))
            {
                copy($tmpimagen, $urlnueva);
            }
            else 
            {
               echo '<div class="alert alert-danger alert-dismissable">
                      <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                      <strong>La imagen no se guardo! </strong> Solo se permiten imágenes con formato  jpg.
                    </div>';
            }
        }
        ?>
          <script type="text/javascript"> document.getElementById("form_online").reset();</script>   
   <?php       
    }
}


if ($sli_ubicacion=='imagen derecha') {

$can2=mysqli_query($con,"SELECT * FROM slider where sli_ubicacion='$sli_ubicacion'") or die(mysqli_error($con)); 
$dato2=mysqli_fetch_array($can2);
$ubicacion=$dato2['sli_ubicacion'];

if ($ubicacion=='imagen derecha') {
 echo'<script type="text/javascript">alert("No puedes ingresar mas de 1 imagen derecha");</script>';
} 
else {

$sql2=mysqli_query($con,"INSERT INTO slider (sli_id,sli_nombre,sli_url,sli_ubicacion,empresa) 
    VALUES ('$sli_id','$sli_nombre','$sli_url','$sli_ubicacion','$empresa')") or die(mysqli_error($con));

        $nameimagen = $_FILES['imagen']['name'];
        $tmpimagen = $_FILES['imagen']['tmp_name'];
        $extimagen = pathinfo($nameimagen);
        $ext = array("","jpg","jpeg","png","jfif","gif","tif","tiff");
        $urlnueva = "../shop/img/slider/".$sli_id.".jpg";
        if(is_uploaded_file($tmpimagen))
        {
           if(array_search($extimagen['extension'],$ext))
            {
                copy($tmpimagen, $urlnueva);
            }
            else 
            {
               echo '<div class="alert alert-danger alert-dismissable">
                      <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                      <strong>La imagen no se guardo! </strong> Solo se permiten imágenes con formato  jpg.
                    </div>';
            }
        }
        ?>
          <script type="text/javascript"> document.getElementById("form_online").reset();</script>   
   <?php      
    }
}



if ($sli_ubicacion=='pie pagina') {

$can2=mysqli_query($con,"SELECT * FROM slider where sli_ubicacion='$sli_ubicacion'") or die(mysqli_error($con)); 
$dato2=mysqli_fetch_array($can2);
$ubicacion=$dato2['sli_ubicacion'];

if ($ubicacion=='pie pagina') {
 echo'<script type="text/javascript">alert("No puedes ingresar mas de 1 pie pagina");</script>';
} 
else {

$sql2=mysqli_query($con,"INSERT INTO slider (sli_id,sli_nombre,sli_url,sli_ubicacion,empresa) 
    VALUES ('$sli_id','$sli_nombre','$sli_url','$sli_ubicacion','$empresa')") or die(mysqli_error($con));

        $nameimagen = $_FILES['imagen']['name'];
        $tmpimagen = $_FILES['imagen']['tmp_name'];
        $extimagen = pathinfo($nameimagen);
        $ext = array("","jpg","jpeg","png","jfif","gif","tif","tiff");
        $urlnueva = "../shop/img/slider/".$sli_id.".jpg";
        if(is_uploaded_file($tmpimagen))
        {
           if(array_search($extimagen['extension'],$ext))
            {
                copy($tmpimagen, $urlnueva);
            }
            else 
            {
               echo '<div class="alert alert-danger alert-dismissable">
                      <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                      <strong>La imagen no se guardo! </strong> Solo se permiten imágenes con formato  jpg.
                    </div>';
            }
        }
        ?>
          <script type="text/javascript"> document.getElementById("form_online").reset();</script>   
   <?php       
    }
}